漏洞信息详情

Collabora CODE WOPI API 跨站脚本漏洞

  • CNNVD编号:CNNVD-202007-1347
  • 危害等级: 中危
  • CVE编号: CVE-2020-12432
  • 漏洞类型: 跨站脚本
  • 发布时间: 2020-07-21
  • 威胁类型: 远程
  • 更新时间: 2020-07-27
  • 厂        商:
  • 漏洞来源:

漏洞简介

Collabora CODE是英国Collabora公司的一款协作办公解决方案。该产品支持在线文档编辑和查看等功能。WOPI API是其中的一个WOPI(Web应用程序开放平台接口协议)API。

Collabora CODE 4.2.2及之前版本中的WOPI API集成存在安全漏洞,该漏洞源于程序没有正确限制发往用户浏览器的JavaScript代码并且缺少适当的MIME类型访问控制。攻击者可通过获取API的访问令牌利用该漏洞获取帐户凭据。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.collaboraoffice.com/

参考网址

来源:MISC

链接:https://github.com/d7x/CVE-2020-12432

来源:MISC

链接:https://www.youtube.com/watch?v=_tkRnSr6yc0

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-12432

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多